<template lang="">
  <form @submit.prevent>
      <h4>Post Creation</h4>
      <my-input v-focus v-model="post.title" type="text" placeholder="Title" />
      <my-textarea v-model="post.body" type="text" placeholder="Body" />
      <my-button style="align-self: flex-end; margin-top: 15px" @click="createPost">Create</my-button>
  </form> 
</template>

<script>
  export default {
    data() {
      return {
        post: {
          title: '',
          body: ''
        }
      }
    },
    emits: ['create'],
    methods: {
      createPost(event) {
        this.post.id = Date.now()
        this.$emit('create', this.post)
        this.post = {
          title: '',
          body: ''
        }
      }
    }
  }
</script>

<style scoped>

form {
  display: flex;
  flex-direction: column;
}

</style>